Entrar na conversa
curl --request POST \
--url https://api.notifique.dev/v1/chat/conversations/{id}/join \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/chat/conversations/{id}/join', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/chat/conversations/{id}/join"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/chat/conversations/{id}/join"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "cnv_xxxxx",
"chatAppId": "clxxapp...",
"type": "DIRECT",
"title": "<string>",
"memberCount": 123,
"lastMessagePreview": "<string>",
"joinPolicy": "OPEN",
"addPolicy": "ANY_MEMBER",
"capabilities": {
"enabledMessageTypes": [
"text"
],
"editEnabled": true,
"deleteForEveryoneEnabled": true
},
"appCapabilities": {
"allowedMessageTypes": [
"text"
],
"allowEdit": true,
"allowDeleteForEveryone": true,
"allowUserManageCapabilities": true
}
}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"message": "<string>"
}Conversas
Entrar na conversa
Só JWT.
POST
/
v1
/
chat
/
conversations
/
{id}
/
join
Entrar na conversa
curl --request POST \
--url https://api.notifique.dev/v1/chat/conversations/{id}/join \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/chat/conversations/{id}/join', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/chat/conversations/{id}/join"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/chat/conversations/{id}/join"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "cnv_xxxxx",
"chatAppId": "clxxapp...",
"type": "DIRECT",
"title": "<string>",
"memberCount": 123,
"lastMessagePreview": "<string>",
"joinPolicy": "OPEN",
"addPolicy": "ANY_MEMBER",
"capabilities": {
"enabledMessageTypes": [
"text"
],
"editEnabled": true,
"deleteForEveryoneEnabled": true
},
"appCapabilities": {
"allowedMessageTypes": [
"text"
],
"allowEdit": true,
"allowDeleteForEveryone": true,
"allowUserManageCapabilities": true
}
}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"message": "<string>"
}Esta página foi útil?

